Skip to main content
GET
Get the emissions data month by month

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string
required

The organization id of the carbon emissions UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
type
enum<string>
required

The type of the emission. Required type for the travel tab is "travel"

Available options:
emissions,
travel
fromDate
string<date>

Used for filtering

toDate
string<date>

Used for filtering

category
enum<string>

IRIS category

Available options:
TRAIN,
FUEL,
ACCOMMODATION,
RESTAURANT,
TAXI,
ELECTRONICSSHOP,
SOFTWARE,
PUBLICTRANSPORT,
CARRENTAL,
PARKING,
COFFEEPLACE,
CLOTHES,
CLOUDSERVICES,
ESCOOTER,
SHIPPMENT,
HARDWARESTORE,
GROCERIES,
HOUSEHOLDGOODS,
ANIMALPRODUCTS,
GARDENING,
OPTICIAN,
HAIRDRESSER,
INSURANCE,
LOAN,
CONGESTIONTAX,
APARTMENTRENTAL,
ALCOHOL,
VETERINARY,
WELLNESS,
BAKERY,
CARSERVICE,
FLIGHT,
BUS,
OFFICESUPPLIES,
CARWASH,
FERRY,
TRANSACTIONS,
CARTIRES,
PHONEANDISP,
CASHWITHDRAW,
DRUGSTORE,
MUSIC,
BOOKSTORE,
BREAKFAST,
GIFTCARD,
PHOTO,
HOBBYSTORE,
ELECTRICITY

Response

OK

month
integer

month

totalEmission
number

Total expense emissions in organization

emissionUnit
string

Unit of emission

emissionByCategory
object[]
Example:
Last modified on August 31, 2026